Description

Steps to repro:

1) Copy an issue

2) In the copy screen, set the project of the issue to a different issue

3) Click Copy and follow

The issue is copied, but the WATCHERS of the issue are not. This seems like a bug.

I'm using the latest Redmine 3.2 stable.

Related issues:

Related to Redmine - Feature #23610: Reset status when copying issues Closed

Related to Redmine - Defect #26880: Cannot clear all watchers when copying an... Closed

Associated revisions

Revision 16509 - 2017-04-06 19:34 - Jean-Philippe Lang

Option to copy watchers when copying issues (#10460).

History

#1 - 2012-03-19 11:11 - fangzheng (方正)

Should it be a "Feature" instead of a "Defect"?

Sometimes I just need to use a issue as a template, so I don't want to copy watchers.

In my opinion, current behavior is OK.

However, an additional "copy watchers" checkbox or button is also welcome :-)

#2 - 2012-11-09 05:40 - Jun Huang

+1 Support

#3 - 2014-09-08 10:46 - Arne-Kolja Bachstein

+1

It should be optional, as fangzheng mentioned. Maybe with a configurable default value?

#4 - 2014-09-08 14:58 - Fernando Hartmann

+1. Related to #17576

#5 - 2014-10-06 12:29 - Toshi MARUYAMA

- Related to Feature #17576: Ability to choose, in administration page, the behaviour of status during copying issues added

#6 - 2016-09-04 13:42 - Toshi MARUYAMA

- Related to deleted (Feature #17576: Ability to choose, in administration page, the behaviour of status during copying issues)

#7 - 2016-09-04 13:43 - Toshi MARUYAMA

- Related to Feature #23610: Reset status when copying issues added

#8 - 2017-04-06 19:36 - Jean-Philippe Lang
https://www.redmine.org/issues/17576


- Tracker changed from Defect to Feature

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

- Resolution set to Fixed

Feature added in r16509.

When copying a single issue, the original watchers are preselected, you can unselect them.

When bulk copying issues a new checkbox is added to copy watchers.

In both cases, the user gets this option only if he is allowed to add watchers.

#9 - 2017-04-06 19:37 - Jean-Philippe Lang

- Subject changed from Copy Issue should Copy Watchers to Option to copy watchers when copying issues

#10 - 2017-09-11 04:48 - Go MAEDA

- Related to Defect #26880: Cannot clear all watchers when copying an issue added
